nt = ..., **extra: Any) -> None: ...

class Ntile(Func):
    def __init__(self, num_buckets: int = ..., **extra: Any) -> None: ...

class PercentRank(Func): ...
class Rank(Func): ...
class RowNumber(Func): ...
PK